libssh: ssh_session_struct Struct Reference

libssh 0.10.6 The SSH library

Loading...
Searching...
No Matches
Data Fields
ssh_session_struct Struct Reference

## Data Fields
struct ssh_common_struct | common
struct ssh_socket_struct * | socket
char * | serverbanner
char * | clientbanner
int | protoversion
int | server
int | client
int | openssh
uint32_t | send_seq
uint32_t | recv_seq
struct ssh_timestamp | last_rekey_time
int | connected
int | alive
int | flags
uint32_t | extensions
ssh_string | banner
char * | peer_discon_msg
char * | disconnect_message
ssh_buffer | in_buffer
PACKET | in_packet
ssh_buffer | out_buffer
struct ssh_list * | out_queue
enum ssh_pending_call_e | pending_call_state
enum ssh_session_state_e | session_state
enum ssh_packet_state_e | packet_state
enum ssh_dh_state_e | dh_handshake_state
enum ssh_channel_request_state_e | global_req_state
struct ssh_agent_state_struct * | agent_state
struct { |
struct ssh_auth_auto_state_struct * auto_state |
enum ssh_auth_service_state_e service_state |
enum ssh_auth_state_e state |
uint32_t supported_methods |
uint32_t current_method |
} | auth |
bool | send_first_kex_follows
bool | first_kex_follows_guess_wrong
ssh_buffer | in_hashbuf
ssh_buffer | out_hashbuf
struct ssh_crypto_struct * | current_crypto
struct ssh_crypto_struct * | next_crypto
struct ssh_list * | channels
uint32_t | maxchannel
ssh_agent | agent
struct ssh_kbdint_struct * | kbdint
struct ssh_gssapi_struct * | gssapi
struct { |
ssh_key rsa_key |
ssh_key dsa_key |
ssh_key ecdsa_key |
ssh_key ed25519_key |
enum ssh_keytypes_e hostkey |
enum ssh_digest_e hostkey_digest |
} | srv |
struct ssh_list * | ssh_message_list
int(* | ssh_message_callback )(struct ssh_session_struct *session, ssh_message msg, void *userdata)
void * | ssh_message_callback_data
ssh_server_callbacks | server_callbacks
void(* | ssh_connection_callback )(struct ssh_session_struct *session)
struct ssh_packet_callbacks_struct | default_packet_callbacks
struct ssh_list * | packet_callbacks
struct ssh_socket_callbacks_struct | socket_callbacks
ssh_poll_ctx | default_poll_ctx
struct { |
struct ssh_list * identity |
struct ssh_list * identity_non_exp |
char * username |
char * host |
char * bindaddr |
char * sshdir |
char * knownhosts |
char * global_knownhosts |
char * wanted_methods [SSH_KEX_METHODS] |
char * pubkey_accepted_types |
char * ProxyCommand |
char * custombanner |
char * moduli_file |
char * agent_socket |
unsigned long timeout |
unsigned long timeout_usec |
uint16_t port |
socket_t fd |
int StrictHostKeyChecking |
char compressionlevel |
char * gss_server_identity |
char * gss_client_identity |
int gss_delegate_creds |
int flags |
int exp_flags |
int nodelay |
bool config_processed |
uint8_t options_seen [SOC_MAX] |
uint64_t rekey_data |
uint32_t rekey_time |
int rsa_min_size |
} | opts |
ssh_counter | socket_counter
ssh_counter | raw_counter

The documentation for this struct was generated from the following file:

- session.h